%global commit 9bb4e186dd287f95bfd04e886687b992d9c7306d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           openshift-java-client
Version:        2.7.0
Release:        2%{?dist}
Summary:        OpenShift Java Client

Group:          Development/Libraries
License:        EPL
URL:            http://openshift.redhat.com
Source0:        https://github.com/openshift/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
BuildArch:      noarch

BuildRequires: maven-local
BuildRequires: jsch
BuildRequires: mvn(org.jboss:jboss-dmr)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(log4j:log4j)
BuildRequires: mvn(org.codehaus.mojo:properties-maven-plugin)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(org.apache.maven.plugins:maven-resources-plugin)
Requires: jsch

%description
This is a client for OpenShift written in java. It pretty much offers all
features that are currently available in the rhc-* command line tools
(create/rename a domain, create/destroy applications, list all existing
applications, available cartridges, embed cartridges etc.).

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -qn %{name}-%{commit}

%pom_remove_dep org.easytesting:fest-assert

%build
# Tests skipped because of wrong junit version
# (Fedora is 4.10, this expects 4.8)
%mvn_build --skip-tests

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc license epl-v10.html

%files javadoc -f .mfiles-javadoc
%doc license epl-v10.html

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 08 2015 Gerard Ryan <galileo@fedoraproject.org> - 2.7.0-1
- Update to 2.7.0.Final

* Mon Nov 10 2014 Gerard Ryan <galileo@fedoraproject.org> - 2.6.2-1
- Update to 2.6.2.Final

* Sat Sep 13 2014 Gerard Ryan <galileo@fedoraproject.org> - 2.6.0-1
- Update to 2.6.0.Final

* Thu Jul 17 2014 Gerard Ryan <galileo@fedoraproject.org> - 2.6.0-0.1
- Update to 2.6.0-SNAPSHOT

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Nov 30 2013 Gerard Ryan <galileo@fedoraproject.org> - 2.5.0-1
- Update to version 2.5.0.Final

* Sun Oct 13 2013 Gerard Ryan <galileo@fedoraproject.org> - 2.4.0-1
- Update to version 2.4.0.Final

* Sat Jul 27 2013 Gerard Ryan <galileo@fedoraproject.org> - 2.3.0-2
- Add BR maven-resources-plugin to fix rawhide

* Wed Jul 24 2013 Gerard Ryan <galileo@fedoraproject.org> - 2.3.0-1
- Update to latest upstream version 2.3.0

* Fri Mar 29 2013 Gerard Ryan <galileo@fedoraproject.org> - 2.0.3-3
- Fix changelog.
- Remove unneeded Requires.
- Added epl-v10.html as a doc to main and javadoc packages.

* Wed Mar 20 2013 Gerard Ryan <galileo@fedoraproject.org> - 2.0.3-2
- Update to fix licensing and new Base64Coder implementation.
- Use new maven macros.

* Sun Jan 20 2013 Gerard Ryan <galileo@fedoraproject.org> - 2.0.3-1
- Initial package.